Request for Updated Payment Plugins and Test Version for HikaShop

  • Posts: 2
  • Thank you received: 0
1 month 1 week ago #360810

-- HikaShop version -- : 5
-- Joomla version -- : Joomla 4
-- PHP version -- : 7.4

Dear HikaShop Team,

I am writing to report an issue I have been facing regarding the availability of updated payment plugins, especially for the Brazilian market. Currently, I am experiencing compatibility issues with existing plugins, which are outdated and causing functionality problems on my website.

As a loyal user of HikaShop, I am seeking solutions that allow me to offer an efficient and secure online shopping experience for my customers. After thorough consideration, I have identified that the plugins that best suit my needs are PagSeguro and Cielo.

Therefore, I would like to request access to updated versions of PagSeguro and Cielo payment plugins, tailored for the Brazilian market. Additionally, it would be extremely helpful to have access to test versions of these plugins in order to verify their compatibility and functionality on my website before implementing them in production.

I understand the importance of maintaining the security and functionality of my e-commerce website, and I am willing to collaborate in every way possible to ensure a successful integration of the updated payment plugins.

Thank you in advance for your attention to this request, and I look forward to your response.

Please Log in or Create an account to join the conversation.

  • Posts: 81852
  • Thank you received: 13140
  • MODERATOR
1 month 1 week ago #360817

Hi,

Both Pagseguro and Cielo plugins were developed 10 years ago by third party developers.

Regarding pagseguro, I can see that since then, they released a PHP SDK :
github.com/pagseguro/pagseguro-sdk-php
Migrating to that SDK would require rewriting the plugin from scratch.
If you have specific issues with the current plugin available on github.com/HikaShop/hikashoppayment-pagseguro/tree/master and they can easily be fixed, I think it would be great to address them in the current plugin as rewriting a new plugin is a lot of work. So please provide the details of the problems you found and we can see what can be done.

It's basically the same with cielo and the PHP SDK on github.com/chico-rei/cielo-ecommerce-v3-php and the plugin available on www.hikashop.com/support/support/documen...ment-cielo-form.html

If you want complete new plugins to be developed, I would recommend contacting third party developers who are long standing partners of ours like modulosdepago.es/tpv-virtual-hikashop or www.webit.bz/hikashop-store-builder-c-38_66.html or tsukidev.com/
They all developed many payment plugins for HikaShop in the past.

Please Log in or Create an account to join the conversation.

  • Posts: 2
  • Thank you received: 0
1 month 1 week ago #360834

The specific error we're encountering is as follows:

When attempting to finalize a purchase and selecting the PagSeguro payment method, we're facing the following error: "fclose(): Argument #1 ($stream) must be of type resource, bool given". This error is preventing our customers from successfully completing their purchases.

After reviewing our configuration and conducting some tests, we've been unable to identify the root cause of this problem. We would like to request your assistance in resolving this error as soon as possible, as it's negatively impacting our customers' experience.

Last edit: 1 month 1 week ago by PORTELA MARINHO.

Please Log in or Create an account to join the conversation.

  • Posts: 81852
  • Thank you received: 13140
  • MODERATOR
1 month 1 week ago #360839

Hi,

Looking at the code ( i.imgur.com/omRxH70.png ) and based on the error message you provided, I think that the issue is that the plugin is trying to create a log file in ROOT/logs/log_pagseguro.log on your website in order to log the data being exchanged between your website and PagSeguro, but the access rights on your folders prevent it from doing so, which leads to this error.
I would recommend manually creating this file yourself and making sure that the permissions on the file allows the PHP user to write in it.
This should hopefully automatically fix the problem.

Please Log in or Create an account to join the conversation.

Time to create page: 0.058 seconds
Powered by Kunena Forum